# Get All SC Wallet Details

On Krypcore, you may easily retrieve detailed information about your smart contract wallet. Simply log in, click to your wallet, and discover a multitude of information of personalised settings. With ease, gain total insight into your digital assets.

We get SC Wallet details using this method.&#x20;

## API Specification

## Sc Wallet Details

<mark style="color:green;">`POST`</mark> `https://web3-proxy-dev.krypcore.com/api/v0/scWallet/getAllScWallets`

To get SC Wallet Details under the given instance.&#x20;

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| DappId<mark style="color:red;">\*</mark>        | String | DappId                 |
| Authorization<mark style="color:red;">\*</mark> | String | User Auth key obtained |

{% tabs %}
{% tab title="200: OK SUCCESS" %}

```javascript
{
    "Data": [
        {
            "address": "*******",
            "createdAt": "******",
            "instanceId": "******",
            "isLocked": false,
            "lastUsed": "******",
            "owner": "******",
            "salt": "******",
            "uniqueId": "******",
            "walletId": "******",
            "walletName": "******"
        },
],
    "Message": "",
    "Status": "SUCCESS"
}

```

{% endtab %}

{% tab title="401: Unauthorized Failure in authentication" %}

```javascript
{
    "message": "Invalid API key in request"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Key values should be given" %}

```
{
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official libraries, or via `curl`

{% tabs %}
{% tab title="curl" %}

```bash

curl --location 'https://web3-proxy-dev.krypcore.com/api/v0/scWallet/getAllScWallets' \
--header 'DappId: *****' \
--header 'Authorization: *****' \
--header 'Content-Type: application/json' \
--data '{
    
}'
```

{% endtab %}

{% tab title="Node.js (Fetch)" %}

```javascript

var myHeaders = new Headers();
myHeaders.append("DappId", "*****");
myHeaders.append("Authorization", "*****");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://web3-proxy-dev.krypcore.com/api/v0/scWallet/getAllScWallets", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}

{% tab title="Python " %}

```python

import requests
import json

url = "https://web3-proxy-dev.krypcore.com/api/v0/scWallet/getAllScWallets"

payload = json.dumps({})
headers = {
  'DappId': '*****',
  'Authorization': '*****',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}

{% tab title="Golang" %}

```go

package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://web3-proxy-dev.krypcore.com/api/v0/scWallet/getAllScWallets"
  method := "POST"

  payload := strings.NewReader(`{
    
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("DappId", "*****")
  req.Header.Add("Authorization", "*****")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}
